Bug 113154 - [CSSRegions] Consolidate use of RenderRegion::isValid
Summary: [CSSRegions] Consolidate use of RenderRegion::isValid
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mihnea Ovidenie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-24 10:09 PDT by Mihnea Ovidenie
Modified: 2013-03-28 01:24 PDT (History)
6 users (show)

See Also:


Attachments
Patch (12.05 KB, patch)
2013-03-24 10:22 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff
Patch for landing (12.33 KB, patch)
2013-03-28 00:25 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihnea Ovidenie 2013-03-24 10:09:10 PDT
After https://bugs.webkit.org/show_bug.cgi?id=98752, the list of invalid regions is kept separately. A valid region has always a valid flow thread attached. We can use isValid() throughout the RenderRegion code instead of testing for both isValid() and m_flowThread.
Comment 1 Mihnea Ovidenie 2013-03-24 10:22:26 PDT
Created attachment 194758 [details]
Patch
Comment 2 Dave Hyatt 2013-03-27 13:47:59 PDT
Comment on attachment 194758 [details]
Patch

r=me
Comment 3 Mihnea Ovidenie 2013-03-28 00:25:47 PDT
Created attachment 195492 [details]
Patch for landing
Comment 4 WebKit Review Bot 2013-03-28 01:24:43 PDT
Comment on attachment 195492 [details]
Patch for landing

Clearing flags on attachment: 195492

Committed r147082: <http://trac.webkit.org/changeset/147082>
Comment 5 WebKit Review Bot 2013-03-28 01:24:47 PDT
All reviewed patches have been landed.  Closing bug.